<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Sessions|Session Tasks">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="A VPN pivot creates a type of VPN tunnel to an exploited Windows host and turns the host into a pivot point for traffic. " /><title>VPN Pivot</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#09-sessions/vpn-pivot.html">Open topic with navigation</a>
        </p>
        <h2>VPN Pivot</h2>
        <p>A <a name="kanchor119"></a>VPN pivot creates a type of VPN tunnel to an exploited Windows host and turns the host into a pivot point for traffic. To create a VPN pivot, <span class="VariablesProductName">Metasploit Pro</span> creates a a hook at the kernel level of the target system. The hook does not create an interface on the remote system and acts as a sniffer to return all traffic that <span class="VariablesProductName">Metasploit Pro</span> initiates. 
</p>
        <p>When <span class="VariablesProductName">Metasploit Pro</span> creates a VPN Pivot, the VPN Pivot appears as a local interface, which enables you to use IP forwarding and use the interface as a gateway to the target network. 
</p>
        <p>However, <span class="VariablesProductName">Metasploit Pro</span> cannot create a bridge to a network that it is already attached to because it creates a conflicting route for the target network system. Therefore, you must verify that <span class="VariablesProductName">Metasploit Pro</span> does not have an existing direct connection to any networks that have the same IP range and netmask as the target network. 
</p>
        <p class="Note" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span><span class="VariablesProductName">Metasploit Pro</span> does not support IPv6 addresses for pivoting.</p>
    </body>
</html>